import React from 'react';
import { BrowserRouter as Router, Route, Routes } from 'react-router-dom';
import Login from './components/Login';
import Dashboard from './components/Dashboard';
import Boxes from './components/Boxes';
import Items from './components/Item';
import BoxDetails from './components/BoxDetails';
import ItemDetails from './components/ItemDetails';

function App() {
  return (
    <Router>
      <Routes>
        <Route path="/" element={<Login />} />
        <Route path="/dashboard" element={<Dashboard />} />
        <Route path="/boxes" element={<Boxes />} />
        <Route path="/boxes/:id" element={<BoxDetails />} />
        <Route path="/items" element={<Items />} />
        <Route path="/items/:id" element={<ItemDetails />} />
      </Routes>
    </Router>
  );
}

export default App;