import React, { useEffect, useState } from 'react';
import api from '../services/api';

function BoxDetails({ match }) {
  const [box, setBox] = useState(null);
  const [items, setItems] = useState([]);

  useEffect(() => {
    const fetchBoxDetails = async () => {
      const response = await api.get(`/boxes/${match.params.id}`);
      setBox(response.data);
    };

    const fetchItems = async () => {
      const response = await api.get(`/items/${match.params.id}/items`);
      setItems(response.data);
    };

    fetchBoxDetails();
    fetchItems();
  }, [match.params.id]);

  if (!box) return <p>Loading...</p>;

  return (
    <div>
      <h2>{box.name}</h2>
      <h3>Items</h3>
      <ul>
        {items.map((item) => (
          <li key={item.id}>{item.name}</li>
        ))}
      </ul>
    </div>
  );
}

export default BoxDetails;