import React, { useEffect, useState } from 'react';
import api from '../services/api';
import { Link } from 'react-router-dom';

function Boxes() {
  const [boxes, setBoxes] = useState([]);

  useEffect(() => {
    const fetchBoxes = async () => {
      const response = await api.get('/boxes');
      setBoxes(response.data);
    };

    fetchBoxes();
  }, []);

  return (
    <div>
      <h2>Boxes</h2>
      <ul>
        {boxes.map((box) => (
          <li key={box.id}>
            <Link to={`/boxes/${box.id}`}>{box.name}</Link>
          </li>
        ))}
      </ul>
    </div>
  );
}

export default Boxes;