import React, { useEffect, useState } from 'react';
import api from '../services/api';

function ItemDetails({ match }) {
  const [item, setItem] = useState(null);

  useEffect(() => {
    const fetchItemDetails = async () => {
      const response = await api.get(`/items/${match.params.id}`);
      setItem(response.data);
    };

    fetchItemDetails();
  }, [match.params.id]);

  if (!item) return <p>Loading...</p>;

  return (
    <div>
      <h2>{item.name}</h2>
      <p>{item.description}</p>
      {item.image_path && <img src={`/images/${item.image_path}`} alt={item.name} />}
    </div>
  );
}

export default ItemDetails;