import axios from 'axios';

// Create an instance of axios
const api = axios.create({
  // baseURL: process.env.REACT_APP_API_BASE_URL, // Set the base URL from environment variable
  baseURL: 'http://10.0.0.66:8080', // Replace with your actual API endpoint for testing
  headers: {
    'Content-Type': 'application/json',
  },
});

// Intercept requests to add the Authorization header
api.interceptors.request.use((config) => {
  const token = localStorage.getItem('jwt');
  if (token) {
    config.headers.Authorization = `Bearer ${token}`;
  }
  return config;
});

export default api;
